import { TransactionListType } from "../Types/Types";
import moment from "moment";

const todayStartOfDay = moment().startOf("day").format("MM-DD-YYYY hh:mm A");
const todayEndOfDay = moment().endOf("day").format("MM-DD-YYYY hh:mm A");
const thisMonthStart = moment().startOf("month").format("MM-DD-YYYY hh:mm A");
const thisMonthEnd = moment().endOf("month").format("MM-DD-YYYY hh:mm A");

export function filter_today(transactions: TransactionListType) {
  return transactions.filter((transaction) =>
    moment(transaction.timestamp, "MM-DD-YYYY hh:mm A").isBetween(
      todayStartOfDay,
      todayEndOfDay
    )
  );
}
export function filter_thismonth(transactions: TransactionListType) {
  return transactions.filter((transaction) =>
    moment(transaction.timestamp, "MM-DD-YYYY hh:mm A").isBetween(
      thisMonthStart,
      thisMonthEnd
    )
  );
}
