import styles from "../../styles";
import { colors } from "../../styles";
import { TransactionType } from "../Types/Types";
import StatusTextColor from "../StatusTextColor/StatusTextColor";
import CircleSharpIcon from '@mui/icons-material/CircleSharp';
export interface props {
  transaction: TransactionType;
  onClick?: React.MouseEventHandler<HTMLButtonElement>;


} 

export default function TransactionEntry(props: props) {


  return (
    <button
      style={{
        alignSelf: "center",
        justifySelf: "center",
        width: "584px",
        backgroundColor: colors.header_color,
        borderRadius: 16,
        margin: "10px",
        paddingTop: "15px",
       
      }}
      onClick={props.onClick}
    >
      <div style={{
        display: "flex",
        flexDirection: "row",
        padding: "0px",
        margin: "0px"


       }}>
        <p
          style={{
            ...styles.text_super_dark,
            ...styles.text_M,
            ...{ textAlign: "left", flex: 1 },
            padding: "0px",
            margin: "0px",
        
           
          }}
        >
          Transaction ID: {props.transaction.id}
        </p>

        <div style={{
          display: "flex",
          alignItems: "center",
          flexDirection: "row",
          margin: "0"
          
        }}>
        <CircleSharpIcon
              style={{
                width: "9px",
                height: "8px",
                color: StatusTextColor(props.transaction.transaction_status),
                marginRight: "9px"
                
              }}
          />


          <p
          style={{
            ...styles.text_dark,
            ...styles.text_M,
            ...{
              textAlign: "center",
              margin: 0,
              color: StatusTextColor(props.transaction.transaction_status),
            },
            }}
          >
            {`${props.transaction.transaction_status}`}
          </p>

      
        </div>
        
      </div>
      <div style={{
        flex:1,
        marginTop: "3px",
        alignItems: "center"
        }}>
          
          <p
            style={{
              ...styles.text_gray,
              ...styles.text_S,
              ...{ textAlign: "left", flex: 2 },
              fontStyle: "italic"
            }}
          >
            {props.transaction.timestamp}
          </p>
        </div>
        

        {/* //GIWALA */}
     
      <div 
        style={{
          borderTop: "2px solid rgba(160, 160, 160, 0.20)",
          padding: "7px",
          margin: "0px",
       

        }}>
        <p
          style={{
            ...styles.text_gray,
            ...styles.text_S,
            padding: "0px",
            margin: "0px"
           

          }}
        >
            TAP TO VIEW
        </p>
      </div>
      
    
      
     
    </button>
  );
}
